#! /bin/sh
pgadmin_version=$(date +%Y%m%d)

# CVS update
cd /home/pgadmin/pgadmin3
/usr/bin/cvs update -d -C -P

# Cleanup
cd ..
rm -fr pgadmin3-$pgadmin_version
rm -fr pgadmin3-$pgadmin_version.tar.gz

# Make a source tarball and cleanup
cp -r pgadmin3 pgadmin3-$pgadmin_version
tar -czf pgadmin3-$pgadmin_version.tar.gz --exclude CVS --exclude autom4te.cache pgadmin3-$pgadmin_version
mv pgadmin3-$pgadmin_version.tar.gz /usr/src/redhat/SOURCES/
rm -fr pgadmin3-$pgadmin_version

# Make RPMs
rpmbuild -ba pgadmin3.spec
